! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure verify.prg  to setup and run the verifivations
!        for the plot related procedures of DFO for QC plots, or
!        for the EFOSC verification  procedures from La Silla
!  K. Banse     100416	creation
! 
!.VERSION
! 100426	last modif
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 EFOSC C "test QC plotting or EFOSC:"
define/param p2 YES C "copy all data needed for tests (yes/no):"
define/param p3 old C "new (> 4.3) or old (< 4.4) gcc versions:"
! 
reset/display
! 
! check, if we want to verify QC or EFOSC 
! 
if p1(1:2) .eq. "QC" then
   if p2(1:2) .ne. "NO" then
      define/local sourcedir/c/1/80 $MIDASHOME/ESO-verifications/qcplot-DARK/
      define/local defdir/c/1/2 "./"
      !
      write/out copying all files from {sourcedir}
      $ cp {sourcedir}* {defdir}
   endif
   ! 
   write/out  
   write/out "Now, execute @@ verifyQC"
   ! 
   ! " @@ verifyQC switch option plotflag"
   ! "switch = switch for execution:"
   ! "        1 = create plots, 2 = compare results,"
   ! "        3 = 1 + 2 (default)"
   ! "option = option for plot generation"
   ! "        CLOSEUP (default) or MAIN"
   ! "plotflag = flag for plotting the final postscript file"
   ! "        NOPLOT (default) or PLOT"
   ! 
   @@ verifyQC 3 ? plot
! 
else if p1(1:5) .eq. "EFOSC" then
   if p2(1:2) .ne. "NO" then
      define/local sourcedir/c/1/80 $MIDASHOME/ESO-verifications/EFOSCtest/
      define/local defdir/c/1/2 "./"
      !
      write/out copying all files from {sourcedir}
      $ cp {sourcedir}* {defdir}
   endif
   ! 
   write/out  
   write/out "Now, execute @@ verifyEFOSC"
   @@ verifyEFOSC {p3}
else
   set/midas output=red
   write/out "wrong parameter - should be QC or EFOSC"
   set/midas output=default
endif
